GetTableBucketLogging
Gets the server access logging configuration for a table bucket. For more information, see Server access logging for table buckets in the Amazon Simple Storage Service User Guide.
- Permissions
-
You must have the
s3tables:GetTableBucketLoggingpermission to use this operation.
Request Syntax
GET /buckets/tableBucketARN/logging HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- tableBucketARN
-
The Amazon Resource Name (ARN) of the table bucket.
Pattern:
(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"tableBucketLoggingStatus": {
"loggingEnabled": {
"targetBucket": "string",
"targetObjectKeyFormat": {
"partitionedPrefix": {
"partitionDateSource": "string"
}
},
"targetPrefix": "string"
}
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- tableBucketLoggingStatus
-
The logging status of the table bucket. If logging is disabled,
loggingEnabledis absent.Type: TableBucketLoggingStatus object
Errors
- BadRequestException
-
The request is invalid or malformed.
HTTP Status Code: 400
- ConflictException
-
The request failed because there is a conflict with a previous write. You can retry the request.
HTTP Status Code: 409
- ForbiddenException
-
The caller isn't authorized to make the request.
HTTP Status Code: 403
- InternalServerErrorException
-
The request failed due to an internal server error.
HTTP Status Code: 500
- NotFoundException
-
The request was rejected because the specified resource could not be found.
HTTP Status Code: 404
- TooManyRequestsException
-
The limit on the number of requests per second was exceeded.
HTTP Status Code: 429
Examples
Sample Request
This request gets the server access logging configuration of the table bucket arn:aws:s3tables:us-east-1:111122223333:bucket/amzn-s3-demo-table-bucket.
GET /buckets/<URL-encoded table bucket ARN>/logging HTTP/1.1 Host: s3tables.us-east-1.amazonaws.com Date: Wed, 04 Nov 2026 12:00:00 GMT Authorization: authorization string
Sample Response: Logging enabled
This example illustrates one usage of GetTableBucketLogging.
HTTP/1.1 200 OK Content-Type: application/json { "tableBucketLoggingStatus": { "loggingEnabled": { "targetBucket": "amzn-s3-demo-destination-bucket", "targetPrefix": "logs/", "targetObjectKeyFormat": { "partitionedPrefix": { "partitionDateSource": "EventTime" } } } } }
Sample Response: Logging disabled
This example illustrates one usage of GetTableBucketLogging.
HTTP/1.1 200 OK Content-Type: application/json { "tableBucketLoggingStatus": {} }
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: